flyingsubs
Posts: 13
Joined: Sun Nov 17, 2019 7:41 pm

Re: [Guide] Kodi on Raspbian Buster

Fri Feb 28, 2020 8:45 pm

Ah okay cool. Thanks for the response. I'm assuming I'll have to wait for an update on the skin helper. I don't see any issues other that there are error warnings every time I start Kodi

Paul.D
Posts: 1
Joined: Wed Mar 11, 2020 2:59 pm

Re: [Guide] Kodi on Raspbian Buster

Wed Mar 11, 2020 3:01 pm

JOHN009 wrote:
Fri Nov 01, 2019 9:17 am
i was facing error of Ares Wizard error i searched on google and found a article and now problem is solved i hope it will help others too
how you found this useful

flyingsubs
Posts: 13
Joined: Sun Nov 17, 2019 7:41 pm

Re: [Guide] Kodi on Raspbian Buster

Tue Mar 17, 2020 8:37 pm

Anyone having issues with video? Live tv seems to be choppy and recorded TV is also having issues. Not sure If i touched a setting at all. Not sure if this is the right place to post logs about it?

Is this the best place to post about issues?

Thanks!
-Flyingsubs

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Wed Mar 18, 2020 12:00 am

flyingsubs wrote:
Tue Mar 17, 2020 8:37 pm
Anyone having issues with video? Live tv seems to be choppy and recorded TV is also having issues. Not sure If i touched a setting at all. Not sure if this is the right place to post logs about it?

Is this the best place to post about issues?

Thanks!
-Flyingsubs
Does turn on/off "Adjust display refresh rate" and "Sync playback to display" fix it? Default are both disabled.
If it doesn't I recommend that you try Kodi with clean/default settings. Close Kodi, move/remove ~/.kodi and start Kodi again.

flyingsubs
Posts: 13
Joined: Sun Nov 17, 2019 7:41 pm

Re: [Guide] Kodi on Raspbian Buster

Wed Mar 18, 2020 12:16 am

Thank for the response! That setting is already turned off. I can start again, would you want to see the log in case there is something that can be fixed? Or are you thinking this is related to the skin helper service?

The other issue which I believe is related is the audio cut out and changes. I have surround sound and then all I can hear is the background noise.


Thanks,
Flyingsubs

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Wed Mar 18, 2020 12:26 am

flyingsubs wrote:
Wed Mar 18, 2020 12:16 am
Thank for the response! That setting is already turned off. I can start again, would you want to see the log in case there is something that can be fixed? Or are you thinking this is related to the skin helper service?

The other issue which I believe is related is the audio cut out and changes. I have surround sound and then all I can hear is the background noise.


Thanks,
Flyingsubs
Start fresh like explained above a see if the problem still exists, if so, post your kodi debug log.

flyingsubs
Posts: 13
Joined: Sun Nov 17, 2019 7:41 pm

Re: [Guide] Kodi on Raspbian Buster

Wed Mar 18, 2020 1:01 am

Thanks will do. Can I still use the skin mod or does it have to be clean kodi no addons?

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Wed Mar 18, 2020 1:05 am

flyingsubs wrote:
Wed Mar 18, 2020 1:01 am
Thanks will do. Can I still use the skin mod or does it have to be clean kodi no addons?
Clean, default skin. If the problem is the skin I can't do anything, you have to post your problem in Kodi forum, sub topic of that skin.

flyingsubs
Posts: 13
Joined: Sun Nov 17, 2019 7:41 pm

Re: [Guide] Kodi on Raspbian Buster

Wed Mar 18, 2020 10:50 pm

Thank you! I think I may have figured it out? I did a test going to Youtube and got no sound. DId a sound test and that didn't work either. I read some forums and went to the config.txt and uncommented out hdmi_force_hotplug=1 rebooted and so far not having an issue. Also I uncommented HDMI_drive=2

Thanks,
Flyingsubs

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Mon Mar 23, 2020 1:34 am

Kodi updated to 18.6
No specific Raspbian changes.

Just update and upgrade the packages has you normally do.*

*Note that this packages are not yet available on Raspberry Pi repos, only on the PiPplware repo, you have to wait a little bit.

aitlamsali
Posts: 1
Joined: Tue Mar 24, 2020 12:27 am

Re: [Guide] Kodi on Raspbian Buster

Tue Mar 24, 2020 12:33 am

Hi All;

I have installed Kodi on Raspbian 10 (buster), but when I want to install the PVR Iptv, I search on addons and the list is empty !!
So I can't find and select then install, please tell me what's the problem exactly ?

Thanks !

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Tue Mar 24, 2020 9:43 am

aitlamsali wrote:
Tue Mar 24, 2020 12:33 am
Hi All;

I have installed Kodi on Raspbian 10 (buster), but when I want to install the PVR Iptv, I search on addons and the list is empty !!
So I can't find and select then install, please tell me what's the problem exactly ?

Thanks !
Please read the first post.

maxipower
Posts: 18
Joined: Mon Oct 21, 2019 11:29 am

Re: [Guide] Kodi on Raspbian Buster

Sat Apr 04, 2020 3:46 pm

Hi,
For those who only use Kodi is it worth upgrading to Kernel 5.4?

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Sat Apr 04, 2020 3:59 pm

maxipower wrote:
Sat Apr 04, 2020 3:46 pm
Hi,
For those who only use Kodi is it worth upgrading to Kernel 5.4?
Don't thinks so. Kernel 5.4 is still in testing and from a quick look, performance looks like the same, nothing new.

User avatar
DougieLawson
Posts: 38550
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: [Guide] Kodi on Raspbian Buster

Sat Apr 04, 2020 5:08 pm

maxipower wrote:
Sat Apr 04, 2020 3:46 pm
Hi,
For those who only use Kodi is it worth upgrading to Kernel 5.4?
It's too early. It's an alpha kernel, not even beta. My TV uHAT doesn't run so my Kodi testing stalled.
Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

I'll do your homework for you for a suitable fee.

Any DMs sent on Twitter will be answered next month.
All non-medical doctors are on my foes list.

maxipower
Posts: 18
Joined: Mon Oct 21, 2019 11:29 am

Re: [Guide] Kodi on Raspbian Buster

Sun Apr 05, 2020 6:28 pm

thank you both… ;)

jools72
Posts: 16
Joined: Sun Sep 29, 2019 12:40 pm

Re: [Guide] Kodi on Raspbian Buster

Wed Apr 15, 2020 12:49 pm

I tried to follow this thread but I couldn't get x11 to work. Kodi needs some way to output audio and video, and isn't x11 or wayland needed for that? So I ended up with kodi-bin/kodi for debian/2:18.6+dfsg1-1 version instead.

What steps are required to revert to the one that's included in the normal apt get install kodi? Blacklisting some repos I assume?

Is there are good instruction somewhere on how to start kodi-standalone in debian from command line (without desktop)?

I ended up following this guide:

https://github.com/graysky2/kodi-standalone-service

clutch
Posts: 3
Joined: Sat Nov 23, 2013 1:54 pm

Re: [Guide] Kodi on Raspbian Buster

Thu Apr 16, 2020 10:11 am

Hey,

tnx for guide. Everything went through just fine, however, I'm having problems controlling kodi via kore or yatse app on my android device.

I've noticed, that there's an option missing, called: Allow remote control from applications on other systems.
Web server works just fine...

Any idea?

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Thu Apr 16, 2020 11:28 am

clutch wrote:
Thu Apr 16, 2020 10:11 am
Hey,

tnx for guide. Everything went through just fine, however, I'm having problems controlling kodi via kore or yatse app on my android device.

I've noticed, that there's an option missing, called: Allow remote control from applications on other systems.
Web server works just fine...

Any idea?
This ? Works fine here.

Image

InvisibleRasta
Posts: 2
Joined: Wed Jul 26, 2017 4:22 am

Re: [Guide] Kodi on Raspbian Buster

Fri Apr 17, 2020 10:50 pm

For some reason, the current version of Kodi doesnt provide 2 important files:

Code: Select all

/etc/init.d/kodi
/etc/default/kodi
They are required to start kodi on boot.
To fix the problem you need to create /etc/init.d/kodi first:

Code: Select all

$ sudo touch /etc/init.d/kodi
The second file to create is /etc/default/kodi.

Code: Select all

$ sudo touch /etc/default/kodi

Code: Select all

# Set this to 1 to enable startup
ENABLED=1
# The user to run Kodi as
USER=pi
# Adjust niceness of Kodi (decrease for higher priority)
NICE=-5
We are almost done. The last thing is to is to make /etc/default/kodi executable:

Code: Select all

$ sudo chmod a+x /etc/init.d/kodi

Code: Select all

#! /bin/sh
### BEGIN INIT INFO
# Provides:          kodi
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: XBMC media centre
# Description:       Starts the XBMC media centre in standalone mode
### END INIT INFO

# Author: Michael Gorven <[email protected]>

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="media centre"
NAME=kodi
STARTAS=/usr/bin/kodi-standalone
DAEMON=/bin/sh
DAEMON_ARGS=""
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
GEOMETRY=/var/run/kodi.fbset

# Defaults
ENABLED=0
USER=kodi
NICE=0

# Exit if the package is not installed
[ -x "$STARTAS" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Backwards compatibility with previous package name
[ -r /etc/default/xbmc ] && . /etc/default/xbmc

# Exit if service is not enabled
[ "$ENABLED" = "1" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
        fbset --show | grep geometry | cut -d' ' -f 6- > $GEOMETRY
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        start-stop-daemon --start --quiet --pidfile $PIDFILE --user $USER --exec $DAEMON --startas $STARTAS --test > /dev/null \
                || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --nicelevel $NICE --chuid $USER --background --make-pidfile --exec $DAEMON --startas $STARTAS -- \
                $DAEMON_ARGS \
                || return 2
        # Add code here, if necessary, that waits for the process to be ready
        # to handle requests from services started subsequently which depend
        # on this one.  As a last resort, sleep for some time.
        sleep 10
        start-stop-daemon --start --quiet --pidfile $PIDFILE --user $USER --exec $DAEMON --startas $STARTAS --test > /dev/null \
                || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --user $USER --exec $DAEMON --startas $STARTAS

        # Kodi doesn't actually handle signals, so we have to send an RPC request to ask it to exit
        if [ -x /usr/bin/wget ]; then
                wget --post-data '{"jsonrpc": "2.0", "method": "Application.Quit", "params": [], "id": 0}' --header 'Content-Type: application/json' -O /dev/null --quiet http://localhost:8080/jsonrpc
        fi
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        start-stop-daemon --stop --quiet --retry=0/30/KILL/5 --user $USER --name $NAME.bin
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2

        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE

        # Try to fix the display
        VT="$(fgconsole)"
        if [ "$VT" ]; then
                chvt 7
                chvt "$VT"
        fi

        if [ -e $GEOMETRY ]; then
                fbset --geometry $(cat $GEOMETRY)
        fi

        return "$RETVAL"
}

case "$1" in
  start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  status)
        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
  restart|force-reload)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                        0) log_end_msg 0 ;;
                        1) log_end_msg 1 ;; # Old process is still running
                        *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
          *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
        exit 3
        ;;
esac

:
The last thing is to is to make /etc/default/kodi executable:

Code: Select all

$ sudo chmod a+x /etc/init.d/kodi
and add the init.d script to the startup scripts:

Code: Select all

$ sudo update-rc.d kodi defaults
and thats it :)

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Sat Apr 18, 2020 12:31 am

InvisibleRasta wrote:
Fri Apr 17, 2020 10:50 pm
For some reason, the current version of Kodi doesnt provide 2 important files:

Code: Select all

/etc/init.d/kodi
/etc/default/kodi
They are required to start kodi on boot.
To fix the problem you need to create /etc/init.d/kodi first:

Code: Select all

$ sudo touch /etc/init.d/kodi
The second file to create is /etc/default/kodi.

Code: Select all

$ sudo touch /etc/default/kodi

Code: Select all

# Set this to 1 to enable startup
ENABLED=1
# The user to run Kodi as
USER=pi
# Adjust niceness of Kodi (decrease for higher priority)
NICE=-5
We are almost done. The last thing is to is to make /etc/default/kodi executable:

Code: Select all

$ sudo chmod a+x /etc/init.d/kodi

Code: Select all

#! /bin/sh
### BEGIN INIT INFO
# Provides:          kodi
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: XBMC media centre
# Description:       Starts the XBMC media centre in standalone mode
### END INIT INFO

# Author: Michael Gorven <[email protected]>

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="media centre"
NAME=kodi
STARTAS=/usr/bin/kodi-standalone
DAEMON=/bin/sh
DAEMON_ARGS=""
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
GEOMETRY=/var/run/kodi.fbset

# Defaults
ENABLED=0
USER=kodi
NICE=0

# Exit if the package is not installed
[ -x "$STARTAS" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Backwards compatibility with previous package name
[ -r /etc/default/xbmc ] && . /etc/default/xbmc

# Exit if service is not enabled
[ "$ENABLED" = "1" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
        fbset --show | grep geometry | cut -d' ' -f 6- > $GEOMETRY
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        start-stop-daemon --start --quiet --pidfile $PIDFILE --user $USER --exec $DAEMON --startas $STARTAS --test > /dev/null \
                || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --nicelevel $NICE --chuid $USER --background --make-pidfile --exec $DAEMON --startas $STARTAS -- \
                $DAEMON_ARGS \
                || return 2
        # Add code here, if necessary, that waits for the process to be ready
        # to handle requests from services started subsequently which depend
        # on this one.  As a last resort, sleep for some time.
        sleep 10
        start-stop-daemon --start --quiet --pidfile $PIDFILE --user $USER --exec $DAEMON --startas $STARTAS --test > /dev/null \
                || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --user $USER --exec $DAEMON --startas $STARTAS

        # Kodi doesn't actually handle signals, so we have to send an RPC request to ask it to exit
        if [ -x /usr/bin/wget ]; then
                wget --post-data '{"jsonrpc": "2.0", "method": "Application.Quit", "params": [], "id": 0}' --header 'Content-Type: application/json' -O /dev/null --quiet http://localhost:8080/jsonrpc
        fi
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        start-stop-daemon --stop --quiet --retry=0/30/KILL/5 --user $USER --name $NAME.bin
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2

        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE

        # Try to fix the display
        VT="$(fgconsole)"
        if [ "$VT" ]; then
                chvt 7
                chvt "$VT"
        fi

        if [ -e $GEOMETRY ]; then
                fbset --geometry $(cat $GEOMETRY)
        fi

        return "$RETVAL"
}

case "$1" in
  start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  status)
        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
  restart|force-reload)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                        0) log_end_msg 0 ;;
                        1) log_end_msg 1 ;; # Old process is still running
                        *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
          *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
        exit 3
        ;;
esac

:
The last thing is to is to make /etc/default/kodi executable:

Code: Select all

$ sudo chmod a+x /etc/init.d/kodi
and add the init.d script to the startup scripts:

Code: Select all

$ sudo update-rc.d kodi defaults
and thats it :)
Despite init.d / SysVinit are still supported in Raspbian and other Linux distributions, almost no one uses it anymore, it was replaced by systemd.

ahmadka
Posts: 1
Joined: Sun Apr 19, 2020 5:31 am

Re: [Guide] Kodi on Raspbian Buster

Sun Apr 19, 2020 5:38 am

Hi everyone .. This is my first post here!

I've following the first post instructions to install kodi (just kodi for now - no addons yet) on my Raspberry Pi 4 which has Raspbian Buster installed on it. I have done the raspi-config required and recommended changes, and also setup the autostart (without desktop) service.

But despite the above, I get no HDMI output. Yes, I'm using HDMI 0 port (the one closer to the power port).

Can someone help me figure out what's the issue ?

Also if I run "kodi" manually, I get the following output:

Code: Select all

[email protected]:~ $ kodi
open /dev/fb0: No such file or directory
failed to export dumb buffer: Permission denied
Failed to create scanout resource
failed to export dumb buffer: Permission denied
Failed to create scanout resource
terminate called after throwing an instance of 'std::runtime_error'
  what():  eglSwapBuffers failed
Aborted (core dumped)
Crash report available at /home/pi/kodi_crashlog-20200418_221628.log
[E] Invalid arguments ' '
[email protected]:~ $
I know you'll probably want to see the log file. Can you tell me where that file is located by default ?

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Sun Apr 19, 2020 10:12 pm

ahmadka wrote:
Sun Apr 19, 2020 5:38 am
Hi everyone .. This is my first post here!

I've following the first post instructions to install kodi (just kodi for now - no addons yet) on my Raspberry Pi 4 which has Raspbian Buster installed on it. I have done the raspi-config required and recommended changes, and also setup the autostart (without desktop) service.

But despite the above, I get no HDMI output. Yes, I'm using HDMI 0 port (the one closer to the power port).

Can someone help me figure out what's the issue ?

Also if I run "kodi" manually, I get the following output:

Code: Select all

[email protected]:~ $ kodi
open /dev/fb0: No such file or directory
failed to export dumb buffer: Permission denied
Failed to create scanout resource
failed to export dumb buffer: Permission denied
Failed to create scanout resource
terminate called after throwing an instance of 'std::runtime_error'
  what():  eglSwapBuffers failed
Aborted (core dumped)
Crash report available at /home/pi/kodi_crashlog-20200418_221628.log
[E] Invalid arguments ' '
[email protected]:~ $
I know you'll probably want to see the log file. Can you tell me where that file is located by default ?
The log is right there on the command output: /home/pi/kodi_crashlog-20200418_221628.log

max11
Posts: 34
Joined: Tue May 14, 2019 12:48 pm

Re: [Guide] Kodi on Raspbian Buster

Wed Apr 22, 2020 4:18 pm

I am running Kodi 18.6 Git 20200310-283bece277 (compiled 2020-03-22).
Installed is Raspbian Buster 4.19.97-v7l+ on a Raspi4 (4GB).

Up until now there were keys on the keyboard like '+' or '-' to increase or decrease the volume .

This somehow disappeared in the last updates... I didn't check if other keys are missing too..

Is there something i missed during the last updates?

regards
max11

Rascas
Posts: 649
Joined: Tue Mar 11, 2014 6:18 pm
Location: Porto, Portugal
Contact: Website

Re: [Guide] Kodi on Raspbian Buster

Wed Apr 22, 2020 4:23 pm

max11 wrote:
Wed Apr 22, 2020 4:18 pm
I am running Kodi 18.6 Git 20200310-283bece277 (compiled 2020-03-22).
Installed is Raspbian Buster 4.19.97-v7l+ on a Raspi4 (4GB).

Up until now there were keys on the keyboard like '+' or '-' to increase or decrease the volume .

This somehow disappeared in the last updates... I didn't check if other keys are missing too..

Is there something i missed during the last updates?

regards
max11
Both "+" and "-" work here. Also F9 and F10.

Return to “Raspberry Pi OS”